Summary:	Usage: 'xrick -help' will tell about command-line options.
Name:		xrick
Version:	021212
Release:	2
Copyright:	GPL
Group:		Games
Source0: 	%{name}-%{version}.tgz
Source1:	%{name}.desktop
Source2:	%{name}
URL:		http://www.bigorno.net/xrick/
BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot

%description
  Keyboard mapping:

    - left, right, up (jump) or down (crawl): arrow keys or Z, X, O and K.
    - fire: SPACE, end: E, pause: P, exit: ESC.
    - use left, right, up, down + fire to poke something with your stick,
      lay a stick of dynamite, or fire a bullet.
    - toggle fullscreen: 1 ; zoom in/out: 2, 3.
    - cheat modes, "trainer": 7 ; "never die": 8 ; "expose": 9.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/games/xrick
cp xrick $RPM_BUILD_ROOT/usr/games/xrick
unzip data -d $RPM_BUILD_ROOT/usr/games/xrick
mkdir -p $RPM_BUILD_ROOT/usr/man/man6
cp *.6.* $RPM_BUILD_ROOT/usr/man/man6
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/bin/

mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Games
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Games

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
